View Issue Details

IDProjectCategoryView StatusLast Update
0006972Tine 2.0Tinebase JavaScriptpublic2017-05-15 08:38
ReporterpschueleAssigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status newResolutionopen 
Product Version 
Target Versionon the horizonFixed in Version 
Summary0006972: update to extjs 6
Descriptionupdate to extjs 6
Additional Informationext4+ stuff not yet resolved

- extFixes: MultiSelectionModel gibt's nicht mehr
- Ext.ux.tree.CheckboxSelectionModel
- DisplayLayout -> no more form layout
- boot splash element
- legacy app on…
- state provider
- Ext.ux.printer getXtype overrride => xtype / ref etc <=
- progressbar fix
- css login dialog
- state weenier state!
- recheck eventproxy in Ext.ux.WindowFactory::getCenterPanel
- westpanel state
- geoExt
        {
          "text": "GeoExt.js",
          "path": "../library/GeoExt/script/"
        },
    {
          "text": "MapPanel.js",
          "path": "js/widgets/"
        },

Ext.ux.PercentCombo

    {
          "text": "HorizontalFitLayout.js",
          "path": "js/ux/layout/"
        },
        {
          "text": "CenterLayout.js",
          "path": "js/ux/layout/"
        },
        {
          "text": "RowLayout.js",
          "path": "js/ux/layout/"
        },
TagsNo tags attached.
mwticket

Relationships

parent of 0004430 closedpschuele check html doctype setting 
parent of 0004396 new pass all key events (except CTRL-R) to active application 
parent of 0004320 new add user filter model / pagination in user search functions 
parent of 0004232 new add copy button for leads 
parent of 0002172 new Allow one-click delete of a recipient while writing a mail 
parent of 0005804 new suppress "insecure content" warning of IE for "about:blank" 
parent of 0005616 new It is not possible to copy text out the History tab 
parent of 0005406 new ux: consolidate container functions 
parent of 0005396 new add generic widget for saving an answer to confirm dlg as preference 
parent of 0004002 new move button for adding/editing accounts to main menu of felamimail 
parent of 0006772 new reset password in user grid should work like pw input in user edit dialog 
parent of 0006238 new focus on selected message is lost 
parent of 0005332 new fix grid/dialog focus handling 
parent of 0005096 new refactor email details panel 
parent of 0000344 new Implement Mobile Client 
parent of 0002444 newunassigned refactor details panel 
parent of 0004366 new make initial application loading on tine startup more flexible 
parent of 0004364 new preferences -> default application value has no effects when startin tine 
parent of 0006578 new onBlur does not work when adding email attender 
parent of 0006830 resolvedastintzing adding tags to adresses: german translation issue 
parent of 0006576 new Calender date format incorrect 
parent of 0006288 closedpschuele Folders between users in same group always visible. 
parent of 0005336 new add information "application" tab for new releases 
parent of 0006960 new RecordPickerComboBox: put sort info into store 
has duplicate 0002980 closedcweiss Update to extjs 4.x 
related to 0005260 new replace system notes with information from modlog / modlog record 
related to 0005328 newunassigned CTRL-ENTER should work in event edit dialog 
related to 0010098 new firefox requires to reenter masterpassword after logout 
Not all the children of this issue are yet resolved or closed.

Activities

pschuele

pschuele

2012-08-23 09:51

administrator   ~0008772

Just as information - perhaps you can go on with the migration if the compatibility layer is complete ;)

http://www.sencha.com/blog/ext-js-3-to-4-migration/

http://stackoverflow.com/questions/6909513/switching-from-extjs3-to-extjs4-worth-the-hassle
shlberlin

shlberlin

2014-06-30 08:44

reporter   ~0014064

+1
pschuele

pschuele

2014-07-02 17:24

administrator   ~0014084

http://docs.sencha.com/ext/5.0.0/whats_new/5.0/whats_new.html
mspahn

mspahn

2014-07-18 15:32

administrator   ~0014178

I checked this out and searched a bit.
There is no know way to "update" or easy migrate to ExtJS 5.

The most devs are rewriting their application for ExtJS 5 using the best practise.

The API change is just a way too big.

It could be a start to create a new ExtJS 5 base for Tine 2.0 and create a skeleton app for each tine 2.0 module.

Then migrate the "logic" to the new skeleton, this might work, but it will be a lot of work.
ravermeister

ravermeister

2017-02-22 22:15

reporter   ~0019620

Last edited: 2017-02-22 22:16

View 3 revisions

...meanwhile
http://docs.sencha.com/extjs/6.2.1/guides/quick_start/introduction.html

:)

travm1

travm1

2017-04-08 01:40

reporter   ~0019870

Here is the wiki for ExtJS: https://www.everipedia.com/Ext_JS/
shochdoerfer

shochdoerfer

2017-05-14 21:32

reporter   ~0020086

Not sure if this makes sense or not but we have but a kind of bridge to combine ExtJS6 with ExtJS3, ExtJS4 or ExtJS5 in one application allowing a migration of individual components over time. Ping me for a demo if that makes sense for you.
pschuele

pschuele

2017-05-15 08:38

administrator   ~0020088

hi Stephan, we'll talk about this in our next meeting. thanks for your offer :)

Issue History

Date Modified Username Field Change
2012-08-21 15:33 pschuele New Issue
2012-08-21 15:33 pschuele Status new => assigned
2012-08-21 15:33 pschuele Assigned To => cweiss
2012-08-21 15:34 pschuele Relationship added parent of 0006926
2012-08-22 10:49 pschuele Relationship added parent of 0004442
2012-08-22 10:49 pschuele Relationship added parent of 0004430
2012-08-22 10:49 pschuele Relationship added parent of 0004396
2012-08-22 10:49 pschuele Relationship added parent of 0004320
2012-08-22 10:55 pschuele Relationship added related to 0004232
2012-08-22 10:55 pschuele Relationship replaced parent of 0004232
2012-08-22 10:55 pschuele Relationship added parent of 0004196
2012-08-22 10:55 pschuele Relationship added parent of 0002452
2012-08-22 10:55 pschuele Relationship added parent of 0002172
2012-08-22 10:56 pschuele Relationship added parent of 0005980
2012-08-22 11:06 pschuele Relationship added parent of 0005804
2012-08-22 11:06 pschuele Relationship added parent of 0005616
2012-08-22 11:06 pschuele Relationship added parent of 0005406
2012-08-22 11:06 pschuele Relationship added parent of 0005396
2012-08-22 11:06 pschuele Relationship added parent of 0004002
2012-08-22 11:06 pschuele Relationship added parent of 0006772
2012-08-22 11:20 pschuele Relationship added parent of 0006238
2012-08-22 11:20 pschuele Relationship added parent of 0005332
2012-08-22 11:22 pschuele Relationship added related to 0005260
2012-08-22 11:23 pschuele Relationship added parent of 0003526
2012-08-22 11:24 pschuele Relationship added related to 0005328
2012-08-22 11:30 pschuele Relationship added parent of 0005096
2012-08-22 11:33 pschuele Relationship added parent of 0000344
2012-08-22 11:33 pschuele Relationship added parent of 0002444
2012-08-22 11:33 pschuele Relationship added parent of 0004366
2012-08-22 11:34 pschuele Relationship added parent of 0004364
2012-08-22 12:11 pschuele Relationship added parent of 0006578
2012-08-22 12:17 pschuele Relationship added parent of 0006830
2012-08-22 12:33 pschuele Relationship added parent of 0006576
2012-08-22 12:37 pschuele Relationship added parent of 0006304
2012-08-22 12:38 pschuele Relationship added parent of 0006288
2012-08-23 09:50 pschuele Relationship added has duplicate 0002980
2012-08-23 09:50 pschuele Additional Information Updated View Revisions
2012-08-23 09:51 pschuele Note Added: 0008772
2012-09-11 15:40 pschuele Target Version Kristina (2013.03.1~alpha1) => Joey (2012.10.1~beta2)
2012-09-12 17:36 pschuele Target Version Joey (2012.10.1~beta2) => Kristina (2013.03.1~alpha1)
2012-09-12 17:37 pschuele Relationship added parent of 0005336
2012-09-28 12:05 pschuele Relationship added parent of 0006960
2012-10-30 21:07 pschuele Relationship deleted parent of 0002452
2013-01-29 10:39 pschuele Relationship deleted parent of 0005980
2013-02-06 12:33 pschuele Target Version Kristina (2013.03.1~alpha1) => Collin (2013.10.1~beta1)
2013-02-06 13:02 pschuele Relationship deleted parent of 0006926
2013-03-12 11:32 pschuele Relationship deleted parent of 0004442
2013-04-03 10:57 pschuele Relationship deleted parent of 0006304
2013-05-17 15:03 pschuele Target Version Collin (2013.10.1~beta1) => on the horizon
2013-05-17 16:58 pschuele Relationship deleted parent of 0004196
2014-06-30 08:44 shlberlin Note Added: 0014064
2014-07-02 17:21 pschuele Assigned To cweiss =>
2014-07-02 17:21 pschuele Status assigned => new
2014-07-02 17:21 pschuele Summary update to extjs 4.x => update to extjs 4.x / 5.x
2014-07-02 17:21 pschuele Description Updated View Revisions
2014-07-02 17:24 pschuele Note Added: 0014084
2014-07-18 15:32 mspahn Note Added: 0014178
2014-07-28 15:45 mspahn Relationship added related to 0010098
2015-11-13 09:49 pschuele Relationship deleted parent of 0003526
2017-02-22 22:15 ravermeister Note Added: 0019620
2017-02-22 22:16 ravermeister Note Edited: 0019620 View Revisions
2017-02-22 22:16 ravermeister Note Edited: 0019620 View Revisions
2017-02-27 08:30 pschuele Summary update to extjs 4.x / 5.x => update to extjs 6
2017-02-27 08:30 pschuele Description Updated View Revisions
2017-02-27 08:30 pschuele Additional Information Updated View Revisions
2017-04-08 01:40 travm1 Note Added: 0019870
2017-05-14 21:32 shochdoerfer Note Added: 0020086
2017-05-15 08:38 pschuele Note Added: 0020088